# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "msgpacker"
version = "0.7.1"
authors = ["Victor Lopez <vhrlopes@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "MessagePack protocol implementation for Rust."
readme = "README.md"
keywords = [
    "messagepack",
    "msgpack",
]
categories = [
    "compression",
    "encoding",
    "parser-implementations",
]
license = "MIT/Apache-2.0"
repository = "https://codeberg.org/vlopes11/msgpacker"

[features]
assertions = []
default = [
    "derive",
    "std",
    "serde",
]
derive = ["msgpacker-derive"]
serde = ["dep:serde"]
std = ["serde?/std"]
strict = []

[lib]
name = "msgpacker"
path = "src/lib.rs"

[[test]]
name = "binary"
path = "tests/binary.rs"

[[test]]
name = "borrowed"
path = "tests/borrowed.rs"

[[test]]
name = "collections"
path = "tests/collections.rs"
required-features = ["derive"]

[[test]]
name = "common"
path = "tests/common.rs"

[[test]]
name = "float"
path = "tests/float.rs"

[[test]]
name = "int"
path = "tests/int.rs"

[[test]]
name = "serde"
path = "tests/serde.rs"
required-features = [
    "derive",
    "serde",
]

[dependencies.bytes]
version = "1.11"
default-features = false

[dependencies.msgpacker-derive]
version = "0.7"
optional = true

[dependencies.serde]
version = "1.0"
features = ["alloc"]
optional = true
default-features = false

[dev-dependencies.arbitrary]
version = "1.4"

[dev-dependencies.arbitrary-json]
version = "0.1"

[dev-dependencies.proptest]
version = "1.10"

[dev-dependencies.proptest-derive]
version = "0.8"

[dev-dependencies.serde]
version = "1.0"
features = ["derive"]

[dev-dependencies.serde_bytes]
version = "0.11"

[dev-dependencies.serde_json]
version = "1.0"
